Index: trunk/ab5.0/ablib/src/Classes/System/Drawing/misc.ab
===================================================================
--- trunk/ab5.0/ablib/src/Classes/System/Drawing/misc.ab	(revision 695)
+++ trunk/ab5.0/ablib/src/Classes/System/Drawing/misc.ab	(revision 698)
@@ -37,13 +37,49 @@
 
 Enum FontStyle
-/*
 	Regular = 0
 	Bold = 1
 	Italic = 2
 	Strikeout = 4
-	Underline  = 8
-*/
+	Underline = 8
 End Enum
 
+Enum TextRenderingHint
+	TextRenderingHintSystemDefault = 0
+	TextRenderingHintSingleBitPerPixelGridFit
+	TextRenderingHintSingleBitPerPixel
+	TextRenderingHintAntiAliasGridFit
+	TextRenderingHintAntiAlias
+	TextRenderingHintClearTypeGridFit
+End Enum
+
+Enum MetafileFrameUnit
+	Pixel      = 2
+	Point      = 3
+	Inch       = 4
+	Document   = 5
+	Millimeter = 6
+	Gdi
+End Enum
+
+Namespace Detail
+	Sub ThrowGdiplusException(status As Status)
+		Select Case status
+			Case Ok
+				Exit Sub
+'			Case OutOfMemory
+'				Throw New System.OutOfMemroyException("GDI+")
+			Case NotImplemented
+				Throw New System.NotImplementedException("GDI+")
+'			Case FileNotFoundException
+'				Throw New System.IO.FileNotFoundException("GDI+")
+			Case Else
+				Throw New System.Exception("GDI+")
+		End Select
+	End Sub
+End Namespace
+
+Sub SetStatus(status As Status)
+	Detail.ThrowGdiplusException(status)
+End Sub
 
 End Namespace
Index: trunk/ab5.0/ablib/src/Classes/index.ab
===================================================================
--- trunk/ab5.0/ablib/src/Classes/index.ab	(revision 695)
+++ trunk/ab5.0/ablib/src/Classes/index.ab	(revision 698)
@@ -47,20 +47,20 @@
 #require "./System/Diagnostics/TraceListener.ab"
 #require "./System/Diagnostics/TraceListenerCollection.ab"
-#require "./System/Drawing/CharacterRange.ab"
-#require "./System/Drawing/Color.ab"
+'#require "./System/Drawing/CharacterRange.ab"
+'#require "./System/Drawing/Color.ab"
 '#require "./System/Drawing/Font.ab"
 '#require "./System/Drawing/Graphics.ab"
 '#require "./System/Drawing/Image.ab"
-#require "./System/Drawing/misc.ab"
-#require "./System/Drawing/Point.ab"
-#require "./System/Drawing/PointF.ab"
-#require "./System/Drawing/Rectangle.ab"
-#require "./System/Drawing/RectangleF.ab"
-#require "./System/Drawing/Size.ab"
-#require "./System/Drawing/SizeF.ab"
+'#require "./System/Drawing/misc.ab"
+'#require "./System/Drawing/Point.ab"
+'#require "./System/Drawing/PointF.ab"
+'#require "./System/Drawing/Rectangle.ab"
+'#require "./System/Drawing/RectangleF.ab"
+'#require "./System/Drawing/Size.ab"
+'#require "./System/Drawing/SizeF.ab"
 '#require "./System/Drawing/Drawing2D/Matrix.ab"
 '#require "./System/Drawing/Drawing2D/misc.ab"
 '#require "./System/Drawing/Imaging/MetafileHeader.ab"
-#require "./System/Drawing/Imaging/misc.ab"
+'#require "./System/Drawing/Imaging/misc.ab"
 '#require "./System/Drawing/Text/misc.ab"
 #require "./System/IO/BinaryReader.ab"
